Package org.eclipse.mat.snapshot.extension

# Class CollectionExtractionInfo

java.lang.Object
org.eclipse.mat.snapshot.extension.CollectionExtractionInfo

public class CollectionExtractionInfo extends Object

Since:
  1.6

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`className`
`final ICollectionExtractor`
`extractor`
`final EnumSet<JdkVersion>`
`version`

## Constructor Summary

Constructors
Constructor
Description
`CollectionExtractionInfo(String className, EnumSet<JdkVersion> version, ICollectionExtractor extractor)`
`CollectionExtractionInfo(String className, ICollectionExtractor extractor)`
`CollectionExtractionInfo(String className, JdkVersion version, ICollectionExtractor extractor)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### className

public final String className

### version

public final EnumSet<JdkVersion> version

### extractor

public final ICollectionExtractor extractor

## Constructor Details

### CollectionExtractionInfo

public CollectionExtractionInfo(String className, ICollectionExtractor extractor)

### CollectionExtractionInfo

public CollectionExtractionInfo(String className, JdkVersion version, ICollectionExtractor extractor)

### CollectionExtractionInfo

public CollectionExtractionInfo(String className, EnumSet<JdkVersion> version, ICollectionExtractor extractor)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`